#include "Schiene.h"

Schiene::Schiene( ResourceRegistry *zResources, int id, int x, int y, int width, int height )
    : GameObject( SCHIENE, x, y, width, height )
{
    this->id = id;
    if( width > height )
        this->textur = zResources->zResource( R_SCHIENE, 0 )->getImages()->getThis();
    else
    {
        Bild *r = zResources->zResource( R_SCHIENE, 0 )->getImages();
        this->textur = new Bild();
        this->textur->neuBild( r->getHeight(), r->getBreite(), 0 );
        this->textur->drawBild90( 0, 0, r->getHeight(), r->getBreite(), *r );
    }
}

int Schiene::getId() const
{
    return id;
}